libzypp 17.37.10

librpmDb.cc File Reference
`#include "librpm.h"`
`#include <iostream>`
`#include <utility>`
`#include <zypp/base/Logger.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp-core/AutoDispose.h>`
`#include <zypp/target/rpm/librpmDb.h>`
`#include <zypp/target/rpm/RpmHeader.h>`
`#include <zypp/target/rpm/RpmException.h>`

Go to the source code of this file.

## Classes
class | zypp::target::rpm::librpmDb::D
| librpmDb internal database handle More...
class | zypp::target::rpm::librpmDb::db_const_iterator::D

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::target
namespace | zypp::target::rpm
namespace | zypp::target::rpm::internal

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "librpmDb"

## Functions
const Pathname & | zypp::target::rpm::internal::rpmDefaultDbPath ()
Pathname | zypp::target::rpm::internal::suggestedDbPath (const Pathname &root_r)
Pathname | zypp::target::rpm::internal::sanitizedDbPath (const Pathname &root_r, const Pathname &dbPath_r)
bool | zypp::target::rpm::internal::dbExists (const Pathname &root_r, const Pathname &dbPath_r)
std::ostream & | zypp::target::rpm::operator<< (std::ostream &str, const librpmDb::db_const_iterator &obj)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "librpmDb"

Definition at line 25 of file librpmDb.cc.